summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:55:38 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:38 +0200
commit3c71698a1f3d8151bdcbcf3569d02dabf507777e (patch)
tree8ae7c3ed09c8ccd8eb258b5c48d69cca043de3b6
parent2a5e976ac1bad33348117dd43030e26da759b5f9 (diff)
downloadslackbuilds-3c71698a1f3d8151bdcbcf3569d02dabf507777e.tar.gz
slackbuilds-3c71698a1f3d8151bdcbcf3569d02dabf507777e.tar.xz
system/xfburn: Added to 12.1 repository
-rw-r--r--system/xfburn/README9
-rw-r--r--system/xfburn/doinst.sh3
-rw-r--r--system/xfburn/slack-desc19
-rw-r--r--system/xfburn/xfburn.SlackBuild81
-rw-r--r--system/xfburn/xfburn.info8
5 files changed, 120 insertions, 0 deletions
diff --git a/system/xfburn/README b/system/xfburn/README
new file mode 100644
index 0000000000..bfd3cc0fd2
--- /dev/null
+++ b/system/xfburn/README
@@ -0,0 +1,9 @@
+xfburn (cd/dvd burning tool for Xfce)
+
+Xfburn is a simple CD/DVD burning tool based on libburnia libraries.
+It can blank CD-RWs, burn and create iso images, as well as burn
+personal compositions of data to either CD or DVD.
+It is currently under heavy development.
+
+This requires libburn and libisofs, both of which are available
+at SlackBuilds.org.
diff --git a/system/xfburn/doinst.sh b/system/xfburn/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/xfburn/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/xfburn/slack-desc b/system/xfburn/slack-desc
new file mode 100644
index 0000000000..d0dafff231
--- /dev/null
+++ b/system/xfburn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+xfburn: xfburn (cd/dvd burning tool for Xfce)
+xfburn:
+xfburn: Xfburn is a simple CD/DVD burning tool based on libburnia
+xfburn: libraries. It can blank CD-RWs, burn and create iso images,
+xfburn: as well as burn personal compositions of data to either
+xfburn: CD or DVD. It is currently under heavy development.
+xfburn:
+xfburn: Homepage: http://www.xfce.org/projects/xfburn/
+xfburn:
+xfburn:
+xfburn:
diff --git a/system/xfburn/xfburn.SlackBuild b/system/xfburn/xfburn.SlackBuild
new file mode 100644
index 0000000000..56da473cf8
--- /dev/null
+++ b/system/xfburn/xfburn.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for xfburn
+
+# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xfburn
+VERSION=0.3.91
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xfburn/xfburn.info b/system/xfburn/xfburn.info
new file mode 100644
index 0000000000..3fe6125939
--- /dev/null
+++ b/system/xfburn/xfburn.info
@@ -0,0 +1,8 @@
+PRGNAM="xfburn"
+VERSION="0.3.91"
+HOMEPAGE="http://www.xfce.org/projects/xfburn/"
+DOWNLOAD="http://goodies.xfce.org/releases/xfburn/xfburn-0.3.91.tar.bz2"
+MD5SUM="fbf53524dcdc5abc630e36e48b8cf4d2"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero"